#!/usr/bin/env node
'use strict';

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_commander2.default.version('1.0.0').arguments('<address> [addresses]').option('-r, --raw', 'Display the raw whois response').parse(process.argv);

if (!_commander2.default.args.length) {
  _commander2.default.help();
}

if (_commander2.default.args.length === 1) {
  var lookup = _commander2.default.raw ? _index2.default.rawLookup : _index2.default.lookup;

  lookup(_commander2.default.args[0], function (error, result) {
    if (error) {
      console.log(error);
    } else {
      console.log(result);
    }
  });
} else {
  if (_commander2.default.raw) {
    console.error('--raw option only supports for lookup a single domain');
    process.exit(1);
  }

  _index2.default.multiLookup(_commander2.default.args, function (error, result) {
    if (error) {
      console.log(error);
    } else {
      console.log(result);
    }
  });
}