'use strict';

var _async = require('async');

var _async2 = _interopRequireDefault(_async);

var _client = require('./client');

var _client2 = _interopRequireDefault(_client);

var _parser = require('./parser');

var _parser2 = _interopRequireDefault(_parser);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var rawLookup = _client2.default.lookup;

var lookup = function lookup(domain, callback) {
  _client2.default.lookup(domain, function (err, data) {
    return callback(err, _parser2.default.parse(data));
  });
};

var multiLookup = function multiLookup(domains, callback) {
  _async2.default.mapLimit(domains, 100, lookup, function (err, data) {
    if (data) {
      var result = {};
      for (var i = 0; i < domains.length; i++) {
        result[domains[i]] = data[i];
      }
      return callback(err, result);
    } else {
      return callback(err);
    }
  });
};

module.exports = {
  rawLookup: rawLookup,
  lookup: lookup,
  multiLookup: multiLookup
};